import { DataAnnotationDisplayMode } from "./DataAnnotationDisplayMode";
import { IgxDataAnnotationRangeLayerComponent } from "./igx-data-annotation-range-layer-component";
import { DataAnnotationStripLayer } from "./DataAnnotationStripLayer";
import * as i0 from "@angular/core";
/**
 * Represents an annotation layer that renders vertical or horizontal strips between values mapped to these properties:
 * StartValueMemberPath
 * EndValueMemberPath
*/
export declare class IgxDataAnnotationStripLayerComponent extends IgxDataAnnotationRangeLayerComponent {
    protected createImplementation(): DataAnnotationStripLayer;
    /**
                                 * @hidden
                                 */
    get i(): DataAnnotationStripLayer;
    constructor();
    /**
     * Gets or sets name of data column with positions for the start of annotations.
    */
    get startValueMemberPath(): string;
    set startValueMemberPath(v: string);
    /**
     * Gets or sets mapping custom label at the start of annotations.
    */
    get startLabelMemberPath(): string;
    set startLabelMemberPath(v: string);
    /**
     * Gets or sets display mode of label in the start annotation.
    */
    get startLabelDisplayMode(): DataAnnotationDisplayMode;
    set startLabelDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_startLabelDisplayMode: DataAnnotationDisplayMode | string;
    /**
     * Gets or sets name of data column with positions for end of annotation.
    */
    get endValueMemberPath(): string;
    set endValueMemberPath(v: string);
    /**
     * Gets or sets mapping custom label at the end of annotations.
    */
    get endLabelMemberPath(): string;
    set endLabelMemberPath(v: string);
    /**
     * Gets or sets display mode of label at the end annotation.
    */
    get endLabelDisplayMode(): DataAnnotationDisplayMode;
    set endLabelDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_endLabelDisplayMode: DataAnnotationDisplayMode | string;
    /**
     * Gets or sets mapping custom label between start and end of data annotations.
    */
    get centerLabelMemberPath(): string;
    set centerLabelMemberPath(v: string);
    /**
     * Gets or sets display mode of label in the center annotation.
    */
    get centerLabelDisplayMode(): DataAnnotationDisplayMode;
    set centerLabelDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_centerLabelDisplayMode: DataAnnotationDisplayMode | string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxDataAnnotationStripLayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxDataAnnotationStripLayerComponent, "igx-data-annotation-strip-layer", never, { "startValueMemberPath": "startValueMemberPath"; "startLabelMemberPath": "startLabelMemberPath"; "startLabelDisplayMode": "startLabelDisplayMode"; "endValueMemberPath": "endValueMemberPath"; "endLabelMemberPath": "endLabelMemberPath"; "endLabelDisplayMode": "endLabelDisplayMode"; "centerLabelMemberPath": "centerLabelMemberPath"; "centerLabelDisplayMode": "centerLabelDisplayMode"; }, {}, never, never>;
}
